Bug 207852 - syntax error in the configure file after using autoconf
Summary: syntax error in the configure file after using autoconf
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-24 19:28 UTC by Adrien Peulvast
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 14:03:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adrien Peulvast 2006-09-24 19:28:00 UTC
Description of problem:
when using autoconf, the use a the configure file raises an error on the line :
"case `(ac_space=' '; set | grep ac_space) 2>&1`" 
In fact, the generated configure file has a syntax error :
system=MP-RAS-`awk '{print }' /etc/.relid'`

replaced with 
system=MP-RAS-`awk '{print }' /etc/.relid`

then OK

Version-Release number of selected component (if applicable):


How reproducible:
using configure script after autoconf

Steps to Reproduce:
1.
2.
3.
  
Actual results:
syntax error 

Expected results:


Additional info:

Comment 1 Ralf Wildenhues 2006-10-20 13:15:24 UTC
Please show the configure.ac file with which you observe this.
It seems it's that which has a bug/typo.  Or did you want to report that?
If yes: then there is no bug in Autoconf, but in the package the configure.ac
file originates in (or maybe you only wanted to report a suboptimal error
message?  If yes then I agree, but also then this can be closed as wontfix,
as getting the shell to do decent error reporting is neigh impossible).

Hope that helps,
Ralf

Comment 2 Karsten Hopp 2007-01-25 14:03:54 UTC
I'm closing this now as it is either a bug in the package he wants to compile or
something we can't fix anyway.


Note You need to log in before you can comment on or make changes to this bug.